Ubuntu – Update Manager says ‘Not all updates can be installed’

installationpackage-management

I have 11.04 installed with Gnome 3 and everything was working fine until I tried to run the update manager. Now I can't update any of my packages. A similar question was posted awhile ago but no solution was presented

Edit

Output from sudo apt-get update && sudo apt-get upgrade

Ign http://extras.ubuntu.com natty InRelease
Ign http://ppa.launchpad.net natty InRelease                        
Ign http://us.archive.ubuntu.com natty InRelease                     
Ign http://us.archive.ubuntu.com natty-updates InRelease                       
Ign http://security.ubuntu.com natty-security InRelease                        
Hit http://extras.ubuntu.com natty Release.gpg                       
Hit http://ppa.launchpad.net natty Release.gpg                       
Hit http://us.archive.ubuntu.com natty Release.gpg                   
Hit http://security.ubuntu.com natty-security Release.gpg            
Hit http://extras.ubuntu.com natty Release                           
Hit http://ppa.launchpad.net natty Release                                     
Hit http://us.archive.ubuntu.com natty-updates Release.gpg                     
Hit http://security.ubuntu.com natty-security Release                 
Hit http://extras.ubuntu.com natty/main Sources                                
Hit http://us.archive.ubuntu.com natty Release                       
Hit http://ppa.launchpad.net natty/main Sources                                
Hit http://security.ubuntu.com natty-security/main Sources                     
Hit http://extras.ubuntu.com natty/main i386 Packages                          
Ign http://extras.ubuntu.com natty/main TranslationIndex             
Hit http://us.archive.ubuntu.com natty-updates Release               
Hit http://ppa.launchpad.net natty/main i386 Packages                          
Ign http://ppa.launchpad.net natty/main TranslationIndex                       
Hit http://security.ubuntu.com natty-security/restricted Sources               
Hit http://security.ubuntu.com natty-security/universe Sources                 
Hit http://security.ubuntu.com natty-security/multiverse Sources               
Hit http://security.ubuntu.com natty-security/main i386 Packages               
Hit http://security.ubuntu.com natty-security/restricted i386 Packages         
Hit http://us.archive.ubuntu.com natty/main Sources                  
Hit http://us.archive.ubuntu.com natty/restricted Sources            
Hit http://us.archive.ubuntu.com natty/universe Sources              
Hit http://us.archive.ubuntu.com natty/multiverse Sources            
Hit http://us.archive.ubuntu.com natty/main i386 Packages            
Hit http://security.ubuntu.com natty-security/universe i386 Packages 
Hit http://security.ubuntu.com natty-security/multiverse i386 Packages
Ign http://security.ubuntu.com natty-security/main TranslationIndex            
Ign http://security.ubuntu.com natty-security/multiverse TranslationIndex      
Ign http://security.ubuntu.com natty-security/restricted TranslationIndex
Ign http://security.ubuntu.com natty-security/universe TranslationIndex
Hit http://us.archive.ubuntu.com natty/restricted i386 Packages      
Hit http://us.archive.ubuntu.com natty/universe i386 Packages        
Hit http://us.archive.ubuntu.com natty/multiverse i386 Packages      
Ign http://us.archive.ubuntu.com natty/main TranslationIndex         
Ign http://us.archive.ubuntu.com natty/multiverse TranslationIndex   
Ign http://us.archive.ubuntu.com natty/restricted TranslationIndex             
Ign http://us.archive.ubuntu.com natty/universe TranslationIndex               
Hit http://us.archive.ubuntu.com natty-updates/main Sources          
Hit http://us.archive.ubuntu.com natty-updates/restricted Sources    
Hit http://us.archive.ubuntu.com natty-updates/universe Sources      
Hit http://us.archive.ubuntu.com natty-updates/multiverse Sources    
Hit http://us.archive.ubuntu.com natty-updates/main i386 Packages    
Hit http://us.archive.ubuntu.com natty-updates/restricted i386 Packages
Hit http://us.archive.ubuntu.com natty-updates/universe i386 Packages
Hit http://us.archive.ubuntu.com natty-updates/multiverse i386 Packages        
Ign http://us.archive.ubuntu.com natty-updates/main TranslationIndex           
Ign http://us.archive.ubuntu.com natty-updates/multiverse TranslationIndex
Ign http://us.archive.ubuntu.com natty-updates/restricted TranslationIndex
Ign http://us.archive.ubuntu.com natty-updates/universe TranslationIndex
Ign http://extras.ubuntu.com natty/main Translation-en_US            
Ign http://ppa.launchpad.net natty/main Translation-en_US            
Ign http://extras.ubuntu.com natty/main Translation-en               
Ign http://ppa.launchpad.net natty/main Translation-en               
Ign http://security.ubuntu.com natty-security/main Translation-en_US 
Ign http://security.ubuntu.com natty-security/main Translation-en
Ign http://security.ubuntu.com natty-security/multiverse Translation-en_US
Ign http://security.ubuntu.com natty-security/multiverse Translation-en
Ign http://security.ubuntu.com natty-security/restricted Translation-en_US
Ign http://security.ubuntu.com natty-security/restricted Translation-en
Ign http://security.ubuntu.com natty-security/universe Translation-en_US
Ign http://security.ubuntu.com natty-security/universe Translation-en
Ign http://us.archive.ubuntu.com natty/main Translation-en_US
Ign http://us.archive.ubuntu.com natty/main Translation-en
Ign http://us.archive.ubuntu.com natty/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com natty/multiverse Translation-en
Ign http://us.archive.ubuntu.com natty/restricted Translation-en_US
Ign http://us.archive.ubuntu.com natty/restricted Translation-en
Ign http://us.archive.ubuntu.com natty/universe Translation-en_US
Ign http://us.archive.ubuntu.com natty/universe Translation-en
Ign http://us.archive.ubuntu.com natty-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com natty-updates/main Translation-en
Ign http://us.archive.ubuntu.com natty-updates/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com natty-updates/multiverse Translation-en
Ign http://us.archive.ubuntu.com natty-updates/restricted Translation-en_US
Ign http://us.archive.ubuntu.com natty-updates/restricted Translation-en
Ign http://us.archive.ubuntu.com natty-updates/universe Translation-en_US
Ign http://us.archive.ubuntu.com natty-updates/universe Translation-en

Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages have been kept back:
  brasero brasero-cdrkit brasero-common empathy empathy-common eog evince
  evince-common gedit gedit-common gnome-disk-utility gnome-keyring
  gnome-media gnome-shell gnome-system-monitor gnome-terminal
  gnome-terminal-data gnome-themes-selected gucharmap gvfs gvfs-backends
  gvfs-fuse libcanberra-pulse libcanberra0 libgcr0 libgdu-gtk0
  libgnome-keyring0 libgtk-vnc-1.0-0 libgucharmap7 light-themes
  linux-generic-pae linux-headers-generic-pae linux-image-generic-pae
  nautilus-sendto-empathy seahorse totem totem-common totem-mozilla
  totem-plugins vinagre yelp zenity
0 upgraded, 0 newly installed, 0 to remove and 42 not upgraded.

Edit 3

After installing each of the packages (via sudo apt-get install [package] ) that were held back, everything seems to be normal. So why did I have to reinstall everything? I'm assuming it has todo with gnome3 since every package was installed via their repo.

Best Answer

  • I have found sometimes the package manager cannot cope with the extent of the changes a particular PPA is requesting to be updated.

    For example, the manager starts processing a file, but gives up claiming wrong dependencies - without further analysing that a later package/or packages in the PPA would have fulfilled that dependency.

    In these cases, you should do the following - run in a terminal

    sudo apt-get update && sudo apt-get upgrade
    

    This will give you a list of packages that it cannot install.

    Go through the list one by one trying to install it i.e.

    sudo apt-get install <package name>
    

    Once you have done this, repeat the update/upgrade commands and repeat the remainder of the packages/new packages it is requesting. You may have to do this a few times until all the packages are installed.

  • Related Question